@use "../theme";

.webring {
    background-color: theme.$colorBrandDark;
    color: white;
    font-size: theme.$fontSizeSmall;

    &__inner {
        display: flex;

        a {
            text-decoration: none;
            color: white;

            &.active,
            &:hover {
                color: #fff;
            }
        }

        &__part-of {
            display: none;
            flex: 1;
            align-self: center;
            margin: .5rem 1rem .5rem 0;
            border-right: 1px solid rgba(255, 255, 255, .5);

            @media only screen and (min-width: theme.$md) {
                display: block;
            }
        }

        &__other-platforms {
            flex: 2;
            display: flex;
            list-style: none;
            padding: 0;
            margin: 0;

            a {
                flex-grow: 1;
                text-align: center;
                width: 100%;

                &:hover,
                &:focus {
                    text-decoration: none;
                }
            }

            li {
                flex: 1;
                display: flex;
                align-items: center;
                margin: 0;
                border-bottom: 3px solid transparent;
                padding: .5rem 0;
                line-height: 1.5;

                @media only screen and (min-width: theme.$md) {
                    padding: 0;
                }

                &.active,
                &:hover {
                    color: #fff;
                    border-bottom-color: rgba(255, 255, 255, .5);
                }
            }

        }
    }
}
